Anki Forums

System Error when attempting to update Add-On

I’m getting the following error when I try to update the Experimental Card Ease Factor add-on (or when I try to create and submit a new add-on):

System Error
Sorry, something went wrong while processing your request. Please try again, and if the problem persists, please let us know.

The error persists even if I use a different operating system and browser.

I’m not sure I fully understand the versioning system. I tried uploading Supports Anki 2.1.0 to -33,
providing no file for the “Supports: Anki 2.1.34 to 34” branch. I also tried altering those numbers, 0 to -27, then 28 to 33, and assigning the file to one or both branches, but received the same error.

I asked on the discord, but DavidA said this might need a stack trace.

Let me know if I can provide any other details.

Thanks for any help!

Are you sure the file you’re uploading is not corrupt? Could you upload it somewhere else we can grab it?

Ah! I had tried re-packing it from scratch with the same command line, same result…

But THEN I tried rebuilding the zip file using the 7-zip GUI, and I got a completely different file size. Realized I must have accidentally been using a different packing algorithm when I switched to 7-zip’s CLI.

Thanks, everything’s back to working now!